#
# spec file for package gap-liepring
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gap-liepring
Version:        1.8
Release:        lp150.1.2
Summary:        GAP: Database and algorithms for Lie p-rings
License:        GPL-2.0
Group:          Productivity/Scientific/Math
URL:            http://www.icm.tu-bs.de/~beick/soft/liepring/

Source:         https://www.gap-system.org/pub/gap/gap4/tar.bz2/packages/liepring-%version.tar.bz2
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  fdupes
BuildRequires:  gap-rpm-devel
Requires:       gap-core >= 4.5.3
Requires:       gap-liering >= 2.1

%description
LiePRing is a GAP4 package. Its main objective is to provide access
to the nilpotent Lie rings of order p^n for p>2 and n<=7.

%prep
%setup -qn liepring

%build
# sigh...
find . -name "*.swp" -delete

%install
%gappkg_simple_install
%fdupes %buildroot/%_prefix

%files -f %name.files
%defattr(-,root,root)

%changelog
* Sun Feb 22 2015 jengelh@inai.de
- Update to new upstream release 1.8
  * No changelog was provided again
* Fri Dec 12 2014 jengelh@inai.de
- Update to new upstream release 1.6
  * No changelog was provided
* Fri Apr 18 2014 jengelh@inai.de
- Initial package (version 1.5) for build.opensuse.org
